osmith submitted this change.
contrib/jenkins: run 'rebar3 fmt --check'
The pull request "v0.0.2" had a patch that formatted everything with
erlfmt. Let's run it in CI to keep the style consistent.
Related: https://github.com/onomondo/onomondo-eim/pull/10/commits/8bafdb3839d868d6bc18499617761d9acd73d2ad
Change-Id: I271c90dace6e7b6f052b38054815e6dfcbfa60f5
---
M contrib/jenkins.sh
1 file changed, 10 insertions(+), 0 deletions(-)
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index e39a69a..2d086b5 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -3,3 +3,13 @@
rebar3 compile
rebar3 eunit
+
+if ! rebar3 fmt --check; then
+ rebar3 fmt -w
+ git diff
+ set +x
+ echo
+ echo "ERROR: please run 'rebar3 fmt -w' and re-submit the patch"
+ echo
+ exit 1
+fi
To view, visit change 42868. To unsubscribe, or for help writing mail filters, visit settings.